store:
  path: "${STORE_PATH}"
  audio:
    format: flac
    sample-rate: 44100


importer:
  job-timeout: 10m ## defaults to 3h
  temp-path: "/tmp"
  workers: 4
  normalizer: ffmpeg

### uncomment to enable authentication
# auth:
#   sessions:
#     ## defaults to 24h
#     max-age: 12h
#     static:
#       engine:
#         secret: ${AURA_ENGINE_SECRET}
#         readonly: true
#         allShows: true
#   oidc:
#     issuer-url: http://localhost:8000/openid
#     client-id: ${OIDC_CLIENT_ID}
#     client-secret: ${OIDC_CLIENT_SECRET}
#     callback-url: http://localhost:8040/auth/oidc/callback
#     login-timeout: 10m # defaults to 5 Minutes
#   passwd:
#     admin:
#       password: ${ADMIN_PASSWORD}
#       privileged: true
#     hugo:
#       password: changeme
#       readonly: true
#       shows:
#         - hugo
#         - yet-another-hugo-show

web:
  ## one of:  stdout, stderr, file:/path/to/access.log
  access-logs: stdout

  debug-ui:
    enabled: true

  ### uncomment to enable CORS headers
  ### see: https://godoc.org/github.com/rs/cors#Options
  # cors:
  #   allowed-origins: ['*']
  #   allowed-methods:
  #     - GET
  #     - PUT
  #     - POST
  #     - PATCH
  #     - DELETE
  #   allowed-headers: ['*']
  #   allow-credentials: true
  #   debug: true
